package com.diaoyun.zion.master.bo;

/** 腾讯分词接口参数
* https://api.ai.qq.com/fcgi-bin/nlp/nlp_wordpos
* */
public class TencentWordsegParam {
    private Integer app_id;
    private Long time_stamp;
    private String nonce_str;
    private String sign;
    private String text;
    /**
     *
     * @param text 待翻译文本
     */
    public TencentWordsegParam(String text) {
        this.text = text;
    }


    public TencentWordsegParam(Integer app_id, Long time_stamp, String nonce_str, String sign, String text) {
        this.app_id = app_id;
        this.time_stamp = time_stamp;
        this.nonce_str = nonce_str;
        this.sign = sign;
        this.text = text;
    }



    public Integer getApp_id() {
        return app_id;
    }

    public void setApp_id(Integer app_id) {
        this.app_id = app_id;
    }

    public Long getTime_stamp() {
        return time_stamp;
    }

    public void setTime_stamp(Long time_stamp) {
        this.time_stamp = time_stamp;
    }

    public String getNonce_str() {
        return nonce_str;
    }

    public void setNonce_str(String nonce_str) {
        this.nonce_str = nonce_str;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

}
